
/* The following definition setup a table that can be used with the c8xx
 * table indirect addressing mode.  Each entry in the table is a pair of
 * 32-bit values. (The byte count and the address)  For the script to work
 * correctly the table MUST start on a word boundry and the offset labels
 * must be in the same order in the script. */

enum offsets {
    SENDMSG = 0,
    RCVMSG,
    CMD_ADR,
    DEVICE,
    STATUS_ADR,
    EXT_BUF,
    SYNC_IN,
    DATA_ADR,                   /* DATA_ADR must be last */
    TABLE_SIZE
};

struct _table {
    uquad   count;
    uquad   address;
};

typedef struct _table table;

extern table   *buffer_table;
